Subject: bug#34494: proot-based non-root setup: refusing to run with elevated privileges (UID 0)

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Mar 2019 17:00:34 +0100

Hi Florian,

Florian Thevissen <[email-masked]> skribis:

> Hi Ludovic,
>
>    Not really answering your question, but would user namespaces be an
>    option for you? If so,
>    <https://lists.gnu.org/archive/html/guix-devel/2018-05/msg00139.html>
>    might be a simpler option.
>
> Thank you for the suggestion, this does look interesting.
>
> However, the original use-case of using guix in a non-root scenario is
> no longer relevant to me: I was convincing enough to get guix
> root-installed on all relevant machines on which I do not have root
> access. So I can enjoy guix properly, now.

Well, congrats.  :-)

Note that <https://guix-hpc.bordeaux.inria.fr/blog> has some thoughts on
non-root usage that may be of interest to you.

> However, I could very well imagine guix to be used on a per-user
> basis, acting on some sub-directory of $HOME. Afterall, many (most?)
> desktop-systems are used by a single user - or so I would argue…

I agree that non-root usage would be useful; it’s just that the kernel
Linux doesn’t make it easy, unless user namespaces are enabled…

Thanks,
Ludo’.